Bug 84052 - FR AS2.1 Errata 2: Need online support utilities for Smart Array (cciss)
FR AS2.1 Errata 2: Need online support utilities for Smart Array (cciss)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-11 11:32 EST by Larry Troan
Modified: 2016-04-18 05:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-09 07:45:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cciss_2444_for_RHAS_IPF_e.25.patch (43.17 KB, patch)
2003-02-11 11:33 EST, Larry Troan
no flags Details | Diff

  None (edit)
Description Larry Troan 2003-02-11 11:32:39 EST
PROBLEM:  Smart Array (cciss) driver is being delivered with the AS2.1 errata 1,
however, there are no online config and monitor support utilities.
FIX: HP determining tools required
BUSINESS CASE: Customer support requirement
DATE DUE: with AS2.1 Errata 2

----------
Action by: charline.polifka
Issue Registered
----------
Action by: charline.polifka


Status set to: Feature Request

----------
Action by: ltroan



Category set to: Kernel::Modules

----------
Action by: ltroan
HP will deliver tools


----------
Action by: ltroan


sdenham assigned to issue for HP-IPF.

----------
Action by: charline.polifka
Attached Patch from Fred Harris:
Mike Miller has created a patch against the .e20 errata kernel updating the
2.4.30 CCISS driver. The patch has been tested against the .e25 errata kernel. 

The changes include:

updated cciss.txt
version changed to 2.4.44
added:
Smart Array 641
Smart Array 642
Smart Array 6400
Smart Array 6400 EM   support
Added big passthru ioctl
SCSI tape support added
removed reading subsystem ID, etc. from pci config space and get the info from
pdev instead - NOTE: this was a request from Red Hat.

The driver has been tested in our lab against the Smart Array 642 hardware and
Smart Array 5312.




File uploaded: cciss_2444_for_RHAS_IPF_e.25.patch


ISSUE TRACKER 13833 as sev 1
Comment 1 Larry Troan 2003-02-11 11:33:38 EST
Created attachment 89996 [details]
cciss_2444_for_RHAS_IPF_e.25.patch
Comment 2 Arjan van de Ven 2003-02-11 11:34:53 EST
kernel-utils has some compaq raid monitor utilities already.....
Comment 3 Larry Troan 2003-02-12 10:40:33 EST
Comment on attachment 89996 [details]
cciss_2444_for_RHAS_IPF_e.25.patch

Replaced by patch from Mike Miller (Fred Harris). Tested against e.25 kernel.
Comment 4 Larry Troan 2003-02-13 07:50:17 EST
NOTES BETWEEN CHARLINE POLIFKA AND FRED HARRIS OF HP....
NET IS TOM COUGHLAN HAS THE CODE AND IT'S IN THE AS2.1 Q2 ERRATA....
Hi Charline, 

Sorry for the late response, p-reviews and all. I mailed the driver to
Tom Coughlin at Red Hat before sending it to you and Rick. Tom has
replied that it is already in the errata kernel.

Thanks for your help.

fred

-----Original Message-----
From: Polifka, Charline 
Sent: Wednesday, February 12, 2003 9:43 AM
To: Harris, Fred
Cc: ltroan@redhat.com
Subject: RE: URGENT: FRIDAY Feb. 14 is the LAST DAY TO SUBMIT CODE
CHANGES TO RED HAT AS3.0; LAST DAY FOR AS2.1 ERRATA B is Feb 24

Fred,
   Has this been submitted directly to Red Hat by your team?  I
submitted it yesterday, however, I do not wish to confuse Red Hat.  I am
copying my contact with Red Hat on this message.
Thanks,
Charline

-----Original Message-----
From: Harris, Fred [mailto:Fred.Harris@hp.com]
Sent: Friday, February 07, 2003 6:44 PM
To: Polifka, Charline; Hester, Rick; Daley, Jimmy; Foster, Glen A;
POE,DARYL (HP-FtCollins,ex1); Madden, Fred W; Meyer, Alan C
Cc: Robb, Philip; Williamson, Alex; Swartz, Eric; Wilcox, Matthew;
Helgaas, Bjorn; Bame, Paul D; Grundler, Grant
Subject: RE: URGENT: FRIDAY Feb. 14 is the LAST DAY TO SUBMIT CODE
CHANGES TO RED HAT AS3.0; LAST DAY FOR AS2.1 ERRATA B is Feb 24


Charline,

Thanks for the update.

Mike Miller has created a patch against the .e20 errata kernel updating
the 2.4.30 CCISS driver. The patch has been tested against the .e25
errata kernel. 

The changes include:

updated cciss.txt
version changed to 2.4.44
added:
Smart Array 641
Smart Array 642
Smart Array 6400
Smart Array 6400 EM   support
Added big passthru ioctl
SCSI tape support added
removed reading subsystem ID, etc. from pci config space and get the
info from pdev instead - NOTE: this was a request from Red Hat.

The driver has been tested in our lab against the Smart Array 642
hardware and Smart Array 5312.
Comment 5 Tom Coughlan 2004-03-09 07:45:02 EST
IT is "Closed by Client"
Closing the BZ.

Note You need to log in before you can comment on or make changes to this bug.